## ros-robot-model 1.11.8

=== collada_parser/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(collada_parser)

find_package(Boost REQUIRED system)

find_package(catkin REQUIRED COMPONENTS urdf_parser_plugin roscpp class_loader)
find_package(urdfdom_headers REQUIRED)

catkin_package( 
  LIBRARIES ${PROJECT_NAME}
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp urdf_parser_plugin
  DEPENDS urdfdom_headers
)

include_directories(${Boost_INCLUDE_DIR})
include_directories(include ${catkin_INCLUDE_DIRS} ${urdfdom_headers_INCLUDE_DIRS})

set(CMAKE_MODULE_PATH  ${PROJECT_SOURCE_DIR}/cmake-extensions/)
find_package(PkgConfig)
find_package(COLLADA_DOM 2.3 COMPONENTS 1.5)
if(COLLADA_DOM_FOUND)
  include_directories(${COLLADA_DOM_INCLUDE_DIRS})
  link_directories(${COLLADA_DOM_LIBRARY_DIRS})
endif()

# necessary for collada reader to create the temporary dae files due
# to limitations in the URDF geometry
include (CheckFunctionExists)
check_function_exists(mkstemps HAVE_MKSTEMPS)
if(HAVE_MKSTEMPS)
  add_definitions("-DHAVE_MKSTEMPS")
endif()

# build the parser lib
add_library(${PROJECT_NAME} src/collada_parser.cpp)
target_link_libraries(${PROJECT_NAME}
  ${COLLADA_DOM_LIBRARIES} ${Boost_LIBRARIES} ${catkin_LIBRARIES}
)

# build the plugin for the parser
add_library(${PROJECT_NAME}_plugin src/collada_parser_plugin.cpp)
target_link_libraries(${PROJECT_NAME}_plugin
  ${PROJECT_NAME} ${Boost_LIBRARIES} ${catkin_LIBRARIES}
)

set_target_properties(${PROJECT_NAME}
  PROPERTIES COMPILER_FLAGS "${COLLADA_DOM_CFLAGS_OTHER}"
)
if(APPLE) 
  set_target_properties(${PROJECT_NAME}
    PROPERTIES LINK_FLAGS
    "${COLLADA_DOM_LDFLAGS_OTHER} -undefined dynamic_lookup"
  )
else()
  set_target_properties(${PROJECT_NAME}
    PROPERTIES LINK_FLAGS "${COLLADA_DOM_LDFLAGS_OTHER}"
  )
endif()

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_plugin
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(FILES collada_parser_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== collada_urdf/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(collada_urdf)

find_package(catkin REQUIRED COMPONENTS angles collada_parser resource_retriever urdf geometric_shapes tf cmake_modules)

find_package(TinyXML REQUIRED)

catkin_package(
  LIBRARIES ${PROJECT_NAME}
  INCLUDE_DIRS include
  DEPENDS angles collada_parser resource_retriever urdf geometric_shapes tf)

include_directories(include)

find_package(assimp QUIET)
if ( NOT ASSIMP_FOUND )
  find_package(Assimp QUIET)
  if ( NOT ASSIMP_FOUND )
    find_package(PkgConfig REQUIRED)
    pkg_check_modules(ASSIMP assimp)
  endif()
endif()
if( ASSIMP_FOUND )
  if( NOT ${ASSIMP_VERSION} VERSION_LESS "2.0.1150" )
    add_definitions(-DASSIMP_UNIFIED_HEADER_NAMES)
  endif()
  if( NOT ${ASSIMP_VERSION} VERSION_LESS "2.0.885" )
    add_definitions(-DASSIMP_EXPORT_API)
  endif()
  include_directories(${ASSIMP_INCLUDE_DIRS})
  link_directories(${ASSIMP_LIBRARY_DIRS})
else()
  message(STATUS "could not find assimp (perhaps available thorugh ROS package?), so assuming assimp v2")
  set(ASSIMP_LIBRARIES assimp)
  set(ASSIMP_LIBRARY_DIRS)
  set(ASSIMP_CXX_FLAGS)
  set(ASSIMP_CFLAGS_OTHER)
  set(ASSIMP_LINK_FLAGS)
  set(ASSIMP_INCLUDE_DIRS)
endif()

# Note: assimp 3.1 overwrites CMake Boost variables, so we need to check for
# Boost after assimp.
find_package(Boost REQUIRED COMPONENTS system filesystem program_options)
include_directories(${Boost_INCLUDE_DIR})

find_package(COLLADA_DOM 2.3 COMPONENTS 1.5)
if( COLLADA_DOM_FOUND )
  include_directories(${COLLADA_DOM_INCLUDE_DIRS})
  link_directories(${COLLADA_DOM_LIBRARY_DIRS})
endif()

include_directories(${TinyXML_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

add_library(${PROJECT_NAME} src/collada_urdf.cpp)
target_link_libraries(${PROJECT_NAME} ${TinyXML_LIBRARIES} ${catkin_LIBRARIES} ${COLLADA_DOM_LIBRARIES}  
  ${Boost_LIBRARIES} ${ASSIMP_LIBRARIES})
set_target_properties(${PROJECT_NAME} PROPERTIES COMPILER_FLAGS "${ASSIMP_CXX_FLAGS} ${ASSIMP_CFLAGS_OTHER}")
set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS "${ASSIMP_LINK_FLAGS}") 

add_executable(urdf_to_collada src/urdf_to_collada.cpp)
target_link_libraries(urdf_to_collada ${catkin_LIBRARIES} ${COLLADA_DOM_LIBRARIES}  
  ${Boost_LIBRARIES} ${PROJECT_NAME})

add_executable(collada_to_urdf src/collada_to_urdf.cpp)
target_link_libraries(collada_to_urdf ${ASSIMP_LIBRARIES} ${catkin_LIBRARIES} ${COLLADA_DOM_LIBRARIES} ${Boost_LIBRARIES})
set_target_properties(collada_to_urdf PROPERTIES COMPILER_FLAGS "${ASSIMP_CXX_FLAGS} ${ASSIMP_CFLAGS_OTHER}")
set_target_properties(collada_to_urdf PROPERTIES LINK_FLAGS "${ASSIMP_LINK_FLAGS}")

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(test_collada_writer test/test_collada_urdf.cpp)
  target_link_libraries(test_collada_writer ${PROJECT_NAME} ${catkin_LIBRARIES} ${COLLADA_DOM_LIBRARIES}  
    ${Boost_LIBRARIES})
endif()

install(TARGETS ${PROJECT_NAME} urdf_to_collada collada_to_urdf
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== kdl_parser/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(kdl_parser)

find_package(Boost REQUIRED)
include_directories(${Boost_INCLUDE_DIR})

find_package(catkin REQUIRED
  COMPONENTS roscpp rosconsole urdf cmake_modules
)
find_package(orocos_kdl REQUIRED)
find_package(TinyXML REQUIRED)

include_directories(include ${orocos_kdl_INCLUDE_DIRS} ${TinyXML_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

link_directories(${catkin_LIBRARY_DIRS})
link_directories(${orocos_kdl_LIBRARY_DIRS})
link_directories(${Boost_LIBRARY_DIRS})

find_library(KDL_LIBRARY REQUIRED NAMES orocos-kdl HINTS ${orocos_kdl_LIBRARY_DIRS})

catkin_package(
  LIBRARIES ${PROJECT_NAME} ${KDL_LIBRARY}
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp rosconsole urdf
  DEPENDS orocos_kdl TinyXML
)

add_library(${PROJECT_NAME} src/kdl_parser.cpp)
target_link_libraries(${PROJECT_NAME}
  ${TinyXML_LIBRARIES} ${orocos_kdl_LIBRARIES} ${catkin_LIBRARIES}
)

add_executable(check_kdl_parser src/check_kdl_parser.cpp )
target_link_libraries(check_kdl_parser ${PROJECT_NAME})

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest)
  add_rostest_gtest(test_kdl_parser test/test_kdl_parser.launch test/test_kdl_parser.cpp )
  target_link_libraries(test_kdl_parser ${PROJECT_NAME})
endif()

# How does CATKIN do this?
#rosbuild_add_rostest(${PROJECT_SOURCE_DIR}/test/test_kdl_parser.launch)
install(TARGETS ${PROJECT_NAME} 
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== urdf/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(urdf)

find_package(Boost REQUIRED thread)
find_package(urdfdom REQUIRED)
find_package(urdfdom_headers REQUIRED)
find_package(catkin REQUIRED COMPONENTS
  urdf_parser_plugin pluginlib rosconsole_bridge roscpp cmake_modules)


find_package(TinyXML REQUIRED)

find_package(PkgConfig)
pkg_check_modules(libpcrecpp libpcrecpp)

catkin_package(
  LIBRARIES ${PROJECT_NAME}
  INCLUDE_DIRS include ${TinyXML_INLCLUDE_DIRS}
  CATKIN_DEPENDS rosconsole_bridge roscpp
  DEPENDS urdfdom_headers urdfdom Boost pcrecpp
)

include_directories(SYSTEM ${Boost_INCLUDE_DIR})
link_directories(${Boost_LIBRARY_DIRS})

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${urdfdom_INCLUDE_DIRS}
  ${urdfdom_headers_INCLUDE_DIRS}
  ${TinyXML_INCLUDE_DIRS}
  )
link_directories(${catkin_LIBRARY_DIRS})

add_library(${PROJECT_NAME} src/model.cpp src/rosconsole_bridge.cpp)
target_link_libraries(${PROJECT_NAME} ${TinyXML_LIBRARIES} ${catkin_LIBRARIES} ${urdfdom_LIBRARIES})

if(APPLE)
  set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
endif(APPLE)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest)
  add_rostest_gtest(test_urdf_parser test/test_robot_model_parser.launch test/test_robot_model_parser.cpp)
  target_link_libraries(test_urdf_parser ${PROJECT_NAME})
endif()

# no idea how CATKIN does this
# rosbuild_add_rostest(${PROJECT_SOURCE_DIR}/test/test_robot_model_parser.launch)

install(TARGETS ${PROJECT_NAME} 
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== urdf_parser_plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(urdf_parser_plugin)

find_package(catkin REQUIRED)
find_package(urdfdom_headers REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  DEPENDS urdfdom_headers 
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-robot-model (1.11.8-3~fakesync) xenial; urgency=medium

  * Adopt to new libexec location in catkin to fix FTBFS. Taken from Debian's
    1.11.8-3 package. (LP: #1569626)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Apr 2016 22:51:53 +0200

ros-robot-model (1.11.8-2build1) xenial; urgency=medium

  * No-change rebuild against liburdfdom-*0.4

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Apr 2016 22:33:45 +0200

ros-robot-model (1.11.8-2) unstable; urgency=medium

  * add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 15:16:05 +0100

ros-robot-model (1.11.8-1) unstable; urgency=medium

  * Initial release (Closes: #805339)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 27 Dec 2015 03:58:33 +0000

=== debian/control ===
Source: ros-robot-model
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), libboost-system-dev, liburdfdom-headers-dev, libboost-thread-dev, liburdfdom-dev, pluginlib-dev, librosconsole-bridge-dev, libroscpp-dev, ros-cmake-modules, libtinyxml-dev, libboost-system-dev, libclass-loader-dev, libangles-dev, libresource-retriever-dev, libgeometric-shapes-dev, libtf-dev, libassimp-dev, libboost-filesystem-dev, libboost-program-options-dev, libcollada-dom2.4-dp-dev, liborocos-kdl-dev, librostest-dev, libpcre3-dev, liboctomap-dev
Standards-Version: 3.9.6
Section: libs
Homepage: http://wiki.ros.org/robot_model
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-robot-model.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-robot-model.git

Package: libcollada-parser-dev
Section: libdevel
Architecture: any
Depends: libcollada-parser0d (= ${binary:Version}), ${misc:Depends}, liburdf-parser-plugin-dev, libroscpp-dev, libclass-loader-dev, liburdfdom-headers-dev, libcollada-dom2.4-dp-dev
Description: Development files for ROS collada_parser library
 This package contains a C++ parser for the Collada robot description format.
 The parser reads a Collada XML robot description, and creates a C++ URDF
 model. Although it is possible to directly use this parser when working with
 Collada robot descriptions, the preferred user API is found in the urdf
 package.
 .
 This package contains the development files for the library.

Package: libcollada-parser0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: ROS collada_parser library
 This package contains a C++ parser for the Collada robot description format.
 The parser reads a Collada XML robot description, and creates a C++ URDF
 model. Although it is possible to directly use this parser when working with
 Collada robot descriptions, the preferred user API is found in the urdf
 package.
 .
 This package contains the library.

Package: libcollada-urdf-dev
Section: libdevel
Architecture: any
Depends: libcollada-urdf0d (= ${binary:Version}), ${misc:Depends}, libangles-dev,libcollada-parser-dev, libresource-retriever-dev, liburdf-dev, libgeometric-shapes-dev, libtf-dev, libassimp-dev,
Description: Development files for ROS collada_urdf library
 This package contains a tool to convert Unified Robot Description Format
 (URDF) documents into COLLAborative Design Activity (COLLADA) documents.
 .
 Implements robot-specific COLLADA extensions as defined by
 http://openrave.programmingvision.com/index.php/Started:COLLADA
 .
 This package contains the development files for the library.

Package: libcollada-urdf0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: ROS collada_urdf library
 This package contains a tool to convert Unified Robot Description Format
 (URDF) documents into COLLAborative Design Activity (COLLADA) documents.
 .
 Implements robot-specific COLLADA extensions as defined by
 http://openrave.programmingvision.com/index.php/Started:COLLADA
 .
 This package contains the library.

Package: joint-state-publisher
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python
Description: ROS joint_state_publisher
 This package contains a tool for setting and publishing joint state values for
 a given URDF.

Package: libkdl-parser-dev
Section: libdevel
Architecture: any
Depends: libkdl-parser0d (= ${binary:Version}), ${misc:Depends}, libroscpp-dev, librosconsole-dev, liburdf-dev, ros-cmake-modules
Description: Development files for ROS collada_urdf library
 The Kinematics and Dynamics Library (KDL) defines a tree structure to
 represent the kinematic and dynamic parameters of a robot mechanism.
 kdl_parser provides tools to construct a KDL tree from an XML robot
 representation in URDF.
 .
 This package contains the development files for the library.

Package: libkdl-parser0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: ROS collada_urdf library
 The Kinematics and Dynamics Library (KDL) defines a tree structure to
 represent the kinematic and dynamic parameters of a robot mechanism.
 kdl_parser provides tools to construct a KDL tree from an XML robot
 representation in URDF.
 .
 This package contains the library.

Package: liburdf-dev
Section: libdevel
Architecture: any
Depends: liburdf0d (= ${binary:Version}), ${misc:Depends}, librosconsole-bridge-dev, libroscpp-dev, liburdf-parser-plugin-dev, ros-cmake-modules
Description: Development files for ROS urdf library
 This package contains a C++ parser for the Unified Robot Description Format
 (URDF), which is an XML format for representing a robot model. The code API of
 the parser has been through our review process and will remain backwards
 compatible in future releases.
 .
 This package contains the development files for the library.

Package: liburdf0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: ROS urdf library
 This package contains a C++ parser for the Unified Robot Description Format
 (URDF), which is an XML format for representing a robot model. The code API of
 the parser has been through our review process and will remain backwards
 compatible in future releases.
 .
 This package contains the library.

Package: liburdf-parser-plugin-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: Development files for ROS urdf_parser_plugin library
 This package contains a C++ base class for URDF parsers.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel

override_dh_clean:
	dh_clean
	rm -fr obj-x86_64-linux-gnu

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/robot_model-$1\.tar\.gz/ \
  https://github.com/ros/robot_model/releases .*/v?(\d\S*)\.tar\.gz

## ros-robot-model 1.12.3

=== debian/changelog ===
ros-robot-model (1.12.3-2build2) yakkety; urgency=medium

  * Rebuild against new liburdfdom-dev.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Sep 2016 19:15:16 +0200

ros-robot-model (1.12.3-2build1) yakkety; urgency=medium

  * Rebuild against new ros-geometric-shapes.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Sep 2016 15:24:13 +0200

ros-robot-model (1.12.3-2) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update my email address
  * Fix URL
  * Fix compilation with liburdfdom-headers-dev (Closes: #834981)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Aug 2016 23:01:25 +0200

ros-robot-model (1.12.3-1) unstable; urgency=medium

  * Imported Upstream version 1.12.3
  * Add kdl_parser_py package

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 11 Jul 2016 00:29:40 +0200

ros-robot-model (1.11.8-4) unstable; urgency=medium

  * Updated Vcs fields
  * Cleaning some lintian messages
  * Moved arch-depenent files to a new package. Closes: #815875
  * Added collada-urdf-tools package
  * Bump Standards-Version to 3.9.7 (no changes)

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 02 Mar 2016 11:11:57 +0100

ros-robot-model (1.11.8-3) unstable; urgency=medium

  * Adopt to new libexec location in catkin

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 24 Feb 2016 17:24:59 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), libboost-system-dev, liburdfdom-headers-dev, libboost-thread-dev, liburdfdom-dev, pluginlib-dev, librosconsole-bridge-dev, libroscpp-dev, ros-cmake-modules, libtinyxml-dev, libboost-system-dev, libclass-loader-dev, libangles-dev, libresource-retriever-dev, libgeometric-shapes-dev, libtf-dev, libassimp-dev, libboost-filesystem-dev, libboost-program-options-dev, libcollada-dom2.4-dp-dev, liborocos-kdl-dev, librostest-dev, libpcre3-dev, liboctomap-dev
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), libboost-system-dev, liburdfdom-headers-dev, libboost-thread-dev, liburdfdom-dev, pluginlib-dev, librosconsole-bridge-dev, libroscpp-dev, ros-cmake-modules, libtinyxml-dev, libclass-loader-dev, libangles-dev, libresource-retriever-dev, libgeometric-shapes-dev, libtf-dev, libassimp-dev, libboost-filesystem-dev, libboost-program-options-dev, libcollada-dom2.4-dp-dev, liborocos-kdl-dev, librostest-dev, libpcre3-dev, liboctomap-dev, python-all, dh-python
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://wiki.ros.org/robot_model
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-robot-model.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-robot-model.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-robot-model.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ros/ros-robot-model.git
 
 Package: libcollada-parser-dev
 Section: libdevel
@@ -45,7 +45,7 @@
  This package contains a tool to convert Unified Robot Description Format
  (URDF) documents into COLLAborative Design Activity (COLLADA) documents.
  .
- Implements robot-specific COLLADA extensions as defined by
+ It implements robot-specific COLLADA extensions as defined by
  http://openrave.programmingvision.com/index.php/Started:COLLADA
  .
  This package contains the development files for the library.
@@ -55,13 +55,26 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: ROS collada_urdf library
- This package contains a tool to convert Unified Robot Description Format
+ This package contains a library to convert Unified Robot Description Format
  (URDF) documents into COLLAborative Design Activity (COLLADA) documents.
  .
- Implements robot-specific COLLADA extensions as defined by
+ It implements robot-specific COLLADA extensions as defined by
  http://openrave.programmingvision.com/index.php/Started:COLLADA
  .
  This package contains the library.
+
+Package: collada-urdf-tools
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: ROS collada_urdf tools
+ This package contains tools to convert between Unified Robot Description 
+ Format (URDF) documents and COLLAborative Design Activity (COLLADA) 
+ documents.
+ .
+ It implements robot-specific COLLADA extensions as defined by
+ http://openrave.programmingvision.com/index.php/Started:COLLADA
+ .
+ This package contains the tools.
 
 Package: joint-state-publisher
 Section: utils
@@ -75,7 +88,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkdl-parser0d (= ${binary:Version}), ${misc:Depends}, libroscpp-dev, librosconsole-dev, liburdf-dev, ros-cmake-modules
-Description: Development files for ROS collada_urdf library
+Description: Development files for ROS kdl_parser library
  The Kinematics and Dynamics Library (KDL) defines a tree structure to
  represent the kinematic and dynamic parameters of a robot mechanism.
  kdl_parser provides tools to construct a KDL tree from an XML robot
@@ -87,13 +100,25 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
-Description: ROS collada_urdf library
+Description: ROS kdl_parser library
  The Kinematics and Dynamics Library (KDL) defines a tree structure to
  represent the kinematic and dynamic parameters of a robot mechanism.
  kdl_parser provides tools to construct a KDL tree from an XML robot
  representation in URDF.
  .
  This package contains the library.
+
+Package: python-kdl-parser
+Section: python
+Architecture: all
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: Robot OS kdl_parser library - Python
+ The Kinematics and Dynamics Library (KDL) defines a tree structure to
+ represent the kinematic and dynamic parameters of a robot mechanism.
+ kdl_parser_py provides Python tools to construct a KDL tree from an XML robot
+ representation in URDF.
+ .
+ This package contains the Python binding.
 
 Package: liburdf-dev
 Section: libdevel
@@ -102,7 +127,7 @@
 Description: Development files for ROS urdf library
  This package contains a C++ parser for the Unified Robot Description Format
  (URDF), which is an XML format for representing a robot model. The code API of
- the parser has been through our review process and will remain backwards
+ the parser has been through a review process and will remain backwards
  compatible in future releases.
  .
  This package contains the development files for the library.
@@ -114,7 +139,7 @@
 Description: ROS urdf library
  This package contains a C++ parser for the Unified Robot Description Format
  (URDF), which is an XML format for representing a robot model. The code API of
- the parser has been through our review process and will remain backwards
+ the parser has been through a review process and will remain backwards
  compatible in future releases.
  .
  This package contains the library.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --buildsystem=cmake --with python2
 
 override_dh_clean:
 	dh_clean

## ros-robot-model 1.12.6

=== collada_parser/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 find_package(Boost REQUIRED system)
 
-find_package(catkin REQUIRED COMPONENTS urdf_parser_plugin roscpp class_loader)
+find_package(catkin REQUIRED COMPONENTS urdf_parser_plugin roscpp class_loader urdf)
 find_package(urdfdom_headers REQUIRED)
 
 catkin_package(

=== collada_urdf/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 2.8.12)
 project(collada_urdf)
 
 find_package(catkin REQUIRED COMPONENTS angles collada_parser resource_retriever urdf geometric_shapes tf cmake_modules)
@@ -9,6 +9,12 @@
   LIBRARIES ${PROJECT_NAME}
   INCLUDE_DIRS include
   DEPENDS angles collada_parser resource_retriever urdf geometric_shapes tf)
+
+include(CheckCXXCompilerFlag)
+check_cxx_compiler_flag(-std=c++11 HAS_STD_CPP11_FLAG)
+if(HAS_STD_CPP11_FLAG)
+  add_compile_options(-std=c++11)
+endif()
 
 include_directories(include)

=== joint_state_publisher/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(joint_state_publisher)

find_package(catkin REQUIRED)

catkin_package()

install(PROGRAMS joint_state_publisher/joint_state_publisher DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== kdl_parser/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,9 @@
   find_package(catkin REQUIRED COMPONENTS rostest)
   add_rostest_gtest(test_kdl_parser test/test_kdl_parser.launch test/test_kdl_parser.cpp )
   target_link_libraries(test_kdl_parser ${PROJECT_NAME})
+
+  add_rostest_gtest(test_inertia_rpy test/test_inertia_rpy.launch test/test_inertia_rpy.cpp )
+  target_link_libraries(test_inertia_rpy ${PROJECT_NAME})
 endif()
 
 # How does CATKIN do this?

=== kdl_parser_py/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(kdl_parser_py)

find_package(catkin REQUIRED
  COMPONENTS urdf
)

catkin_package(
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS urdf
)

catkin_python_setup()

catkin_install_python(PROGRAMS ${PROJECT_NAME}/urdf.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest)
  add_rostest(test/test_kdl_parser.launch)
endif()

=== robot_model/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(robot_model)
find_package(catkin REQUIRED)
catkin_metapackage()

=== urdf/CMakeLists.txt ===
--- 
+++ 
@@ -10,27 +10,35 @@
 
 find_package(TinyXML REQUIRED)
 
-find_package(PkgConfig)
-pkg_check_modules(libpcrecpp libpcrecpp)
+# Find version components
+if(NOT urdfdom_headers_VERSION)
+set(urdfdom_headers_VERSION "0.0.0")
+endif()
+string(REGEX REPLACE "^([0-9]+).*" "\\1" URDFDOM_HEADERS_MAJOR_VERSION "${urdfdom_headers_VERSION}")
+string(REGEX REPLACE "^[0-9]+\\.([0-9]+).*" "\\1" URDFDOM_HEADERS_MINOR_VERSION "${urdfdom_headers_VERSION}")
+string(REGEX REPLACE "^[0-9]+\\.[0-9]+\\.([0-9]+).*" "\\1" URDFDOM_HEADERS_REVISION_VERSION "${urdfdom_headers_VERSION}")
+set(generated_compat_header "${CATKIN_DEVEL_PREFIX}/include/${PROJECT_NAME}/urdfdom_compatibility.h")
+include_directories("${CATKIN_DEVEL_PREFIX}/include")
+configure_file(urdfdom_compatibility.h.in "${generated_compat_header}" @ONLY)
 
 catkin_package(
   LIBRARIES ${PROJECT_NAME}
-  INCLUDE_DIRS include ${TinyXML_INLCLUDE_DIRS}
+  INCLUDE_DIRS include ${TinyXML_INLCLUDE_DIRS} ${CATKIN_DEVEL_PREFIX}/include
   CATKIN_DEPENDS rosconsole_bridge roscpp
-  DEPENDS urdfdom_headers urdfdom Boost pcrecpp
+  DEPENDS urdfdom_headers urdfdom Boost
 )
-
-include_directories(SYSTEM ${Boost_INCLUDE_DIR})
-link_directories(${Boost_LIBRARY_DIRS})
+install(FILES ${generated_compat_header} DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})
 
 include_directories(
   include
+  ${Boost_INCLUDE_DIR}
   ${catkin_INCLUDE_DIRS}
   ${urdfdom_INCLUDE_DIRS}
   ${urdfdom_headers_INCLUDE_DIRS}
   ${TinyXML_INCLUDE_DIRS}
   )
-link_directories(${catkin_LIBRARY_DIRS})
+
+link_directories(${Boost_LIBRARY_DIRS} ${catkin_LIBRARY_DIRS})
 
 add_library(${PROJECT_NAME} src/model.cpp src/rosconsole_bridge.cpp)
 target_link_libraries(${PROJECT_NAME} ${TinyXML_LIBRARIES} ${catkin_LIBRARIES} ${urdfdom_LIBRARIES})

=== debian/changelog ===
ros-robot-model (1.12.6-5) unstable; urgency=medium

  * Don't compile old packages

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 03 Dec 2018 18:01:43 +0100

ros-robot-model (1.12.6-4) unstable; urgency=medium

  * Fix dependencies
  * Bump policy version

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 03 Dec 2018 17:28:22 +0100

ros-robot-model (1.12.6-3) unstable; urgency=medium

  * Drop split out packages (Closes: #915084)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 30 Nov 2018 17:56:13 +0100

ros-robot-model (1.12.6-2) unstable; urgency=medium

  * Update policy and debhelper versions
  * Update watch file
  * Remove parallel (Default for debhelper 10)
  * Update Vcs URLs to salsa.d.o
  * Remove some unused lines in d/rules
  * Add R³
  * http -> https
  * Bump policy and debhelper versions
  * Add missing dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 12 Jul 2018 23:07:40 +0200

ros-robot-model (1.12.6-1) unstable; urgency=medium

  * New upstream version 1.12.6
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 13 Jan 2017 10:38:44 +0100

ros-robot-model (1.12.5-1) unstable; urgency=medium

  * New upstream version 1.12.5
  * Update copyright
  * update patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 04 Nov 2016 23:23:01 +0100

ros-robot-model (1.12.4-2) unstable; urgency=medium

  * Update catkin patch
  * Remove superfluous rm in d/rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 19 Oct 2016 11:13:17 +0200

ros-robot-model (1.12.4-1) unstable; urgency=medium

  * New upstream version 1.12.4
  * Rebase patches
  * Add patch for new catkin

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 20 Sep 2016 19:05:55 +0200

=== debian/control ===
Source: ros-robot-model
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 11), catkin, libboost-system-dev, liburdfdom-headers-dev, libboost-thread-dev, liburdfdom-dev, pluginlib-dev, librosconsole-bridge-dev, libroscpp-dev, ros-cmake-modules, libtinyxml-dev, libclass-loader-dev, libangles-dev, libresource-retriever-dev, libgeometric-shapes-dev, libtf-dev, libassimp-dev, libboost-filesystem-dev, libboost-program-options-dev, libcollada-dom2.4-dp-dev, liborocos-kdl-dev, librostest-dev, liboctomap-dev, python-all, dh-python, liburdf-dev, liburdf-parser-plugin-dev
Standards-Version: 4.2.1
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/robot_model
Vcs-Browser: https://salsa.debian.org/science-team/ros-robot-model
Vcs-Git: https://salsa.debian.org/science-team/ros-robot-model.git

Package: libcollada-parser-dev
Section: libdevel
Architecture: any
Depends: libcollada-parser0d (= ${binary:Version}), ${misc:Depends}, liburdf-parser-plugin-dev, libroscpp-dev, libclass-loader-dev, liburdfdom-headers-dev, libcollada-dom2.4-dp-dev
Description: Development files for ROS collada_parser library
 This package contains a C++ parser for the Collada robot description format.
 The parser reads a Collada XML robot description, and creates a C++ URDF
 model. Although it is possible to directly use this parser when working with
 Collada robot descriptions, the preferred user API is found in the urdf
 package.
 .
 This package contains the development files for the library.

Package: libcollada-parser0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: ROS collada_parser library
 This package contains a C++ parser for the Collada robot description format.
 The parser reads a Collada XML robot description, and creates a C++ URDF
 model. Although it is possible to directly use this parser when working with
 Collada robot descriptions, the preferred user API is found in the urdf
 package.
 .
 This package contains the library.

Package: libcollada-urdf-dev
Section: libdevel
Architecture: any
Depends: libcollada-urdf0d (= ${binary:Version}), ${misc:Depends}, libangles-dev,libcollada-parser-dev, libresource-retriever-dev, liburdf-dev, libgeometric-shapes-dev, libtf-dev, libassimp-dev,
Description: Development files for ROS collada_urdf library
 This package contains a tool to convert Unified Robot Description Format
 (URDF) documents into COLLAborative Design Activity (COLLADA) documents.
 .
 It implements robot-specific COLLADA extensions as defined by
 http://openrave.programmingvision.com/index.php/Started:COLLADA
 .
 This package contains the development files for the library.

Package: libcollada-urdf0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: ROS collada_urdf library
 This package contains a library to convert Unified Robot Description Format
 (URDF) documents into COLLAborative Design Activity (COLLADA) documents.
 .
 It implements robot-specific COLLADA extensions as defined by
 http://openrave.programmingvision.com/index.php/Started:COLLADA
 .
 This package contains the library.

Package: collada-urdf-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ROS collada_urdf tools
 This package contains tools to convert between Unified Robot Description 
 Format (URDF) documents and COLLAborative Design Activity (COLLADA) 
 documents.
 .
 It implements robot-specific COLLADA extensions as defined by
 http://openrave.programmingvision.com/index.php/Started:COLLADA
 .
 This package contains the tools.

Package: joint-state-publisher
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python
Description: ROS joint_state_publisher
 This package contains a tool for setting and publishing joint state values for
 a given URDF.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake --with python2

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-robot-model-$1.tar.gz%" \
    https://github.com/ros/robot_model/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
